# FoundationClasses
TKMath
CSLib

# CSLib_NormalPolyDef Class Reference

`#include <CSLib_NormalPolyDef.hxx>`

Inheritance diagram for CSLib_NormalPolyDef:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | CSLib_NormalPolyDef (const Standard_Integer k0, const TColStd_Array1OfReal &li)
Standard_EXPORT Standard_Boolean | Value (const Standard_Real X, Standard_Real &F)
| computes the value <f>of the function for the variable <x>. Returns True if the calculation were successfully done, False otherwise.
Standard_EXPORT Standard_Boolean | Derivative (const Standard_Real X, Standard_Real &D)
| computes the derivative <d> of the function for the variable <x>. Returns True if the calculation were successfully done, False otherwise.
Standard_EXPORT Standard_Boolean | Values (const Standard_Real X, Standard_Real &F, Standard_Real &D)
| computes the value <f> and the derivative <d> of the function for the variable <x>. Returns True if the calculation were successfully done, False otherwise.

## Private Attributes

Standard_Integer | myK0
TColStd_Array1OfReal | myTABli

## Constructor & Destructor Documentation

Standard_EXPORT CSLib_NormalPolyDef::CSLib_NormalPolyDef | ( | const Standard_Integer | k0,
|  | const TColStd_Array1OfReal & | li
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean CSLib_NormalPolyDef::Derivative | ( | const Standard_Real | X,
|  | Standard_Real & | D
| ) | `[virtual]`

| Implements math_FunctionWithDerivative.

void CSLib_NormalPolyDef::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from math_FunctionWithDerivative.

void* CSLib_NormalPolyDef::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from math_FunctionWithDerivative.

void* CSLib_NormalPolyDef::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from math_FunctionWithDerivative.

Standard_EXPORT Standard_Boolean CSLib_NormalPolyDef::Value | ( | const Standard_Real | X,
|  | Standard_Real & | F
| ) | `[virtual]`

| Implements math_FunctionWithDerivative.

Standard_EXPORT Standard_Boolean CSLib_NormalPolyDef::Values | ( | const Standard_Real | X,
|  | Standard_Real & | F,
|  | Standard_Real & | D
| ) | `[virtual]`

| Implements math_FunctionWithDerivative.

## Field Documentation

Standard_Integer CSLib_NormalPolyDef::myK0 `[private]`

TColStd_Array1OfReal CSLib_NormalPolyDef::myTABli `[private]`

The documentation for this class was generated from the following file:

- CSLib_NormalPolyDef.hxx